import {
    Component,
    Input,
    Output,

    CORE_DIRECTIVES
} from 'angular2/angular2';

@Component({
    selector: 'alert',
    directives: [
        CORE_DIRECTIVES
    ],
    template: `
        <div class="alert alert-{{ type }}" role="alert">
            <ng-content></ng-content>
        </div>
        <!-- /.alert -->
    `
})
export class AlertComponent {
    @Input() type : string;
}